Subject: bug#32922: Echo area flickers when receiving data in network process

From: Stefan Kangas <[email-masked]>
Date: Thu, 3 Oct 2019 03:07:30 +0200

tags 32922 + notabug
close 32922

Eli Zaretskii <[email-masked]> writes:

>> From: Mitchell Plamann <[email-masked]>
>> Date: Wed, 3 Oct 2018 13:57:15 -0400
>>
>> Steps to reproduce:
>>   - Open "emacs -Q"
>>   - Eval (make-network-process :name "foo" :server t :service 8080 :family 'ipv4)
>>   - Press "C-x 5". After a few seconds, the echo area will display "C-x 5-".
>>   - In another terminal, run "yes | nc localhost 8080"
>>   - The "5-" in the echo area will begin to flicker.
>>
>> I've tested this in emacs 25.3 and 26.1.
>>
>> As far as I've been able to tell, the data coming in to the network process triggers [read_key_sequence] in
>> [keyboard.c] to replay the "C-x 5" sequence. As part of this replay, it outputs "C-x", then "C-x 5", then "C-x 5-"
>> to the echo area, which causes the "5-" to look like it is flickering.
>
> This is deliberate, the code is explicitly written to replay the key
> sequence.  For more about this, see
>
>   http://lists.gnu.org/archive/html/emacs-devel/2018-09/msg00906.html

Since this is intended behaviour, I'm closing this as notabug.

Best regards,
Stefan Kangas